Skip to main content
GET
List SFTP storages

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

id
string

Filter by storage ID

name
string

Filter by storage name

location_name
string

Filter by storage location/region

offset
integer<uint64>

Number of records to skip

Required range: x >= 0
limit
integer<uint64>
default:10

Max number of records in response

Required range: 1 <= x <= 1000
order_by
string
default:created_at.desc
provisioning_status
enum<string>

Filter by provisioning status

Available options:
active,
creating,
updating,
deleting,
deleted
show_deleted
boolean

Include deleted storages

Response

SFTPStorageListEndpointResV4

count
integer<int64>
required

Total number of SFTP storages matching the filter

Example:

1

results
SFTPStorageItemV4 SFTP storage with connection details and authentication config. Connect using address with SSH keys or password. · object[]
required

The list of SFTP storages